org.glassfish.jersey.uri

## Enum PathPattern.RightHandPath

- java.lang.Object
- - java.lang.Enum<PathPattern.RightHandPath>
  - - org.glassfish.jersey.uri.PathPattern.RightHandPath

All Implemented Interfaces:
  Serializable, Comparable<PathPattern.RightHandPath>

Enclosing class:
  PathPattern

    public static enum PathPattern.RightHandPath
    extends Enum<PathPattern.RightHandPath>

The set of right hand path patterns that may be appended to a path pattern.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`capturingZeroOrMoreSegments` A capturing group that matches zero or more path segments and keeps the matching path template open.
`capturingZeroSegments` A capturing group that matches zero segments and effectively closes the matching path template.

### Method Summary

All Methods Static Methods Concrete Methods
`static PathPattern.RightHandPath` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PathPattern.RightHandPath[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### capturingZeroOrMoreSegments

    public static final PathPattern.RightHandPath capturingZeroOrMoreSegments

A capturing group that matches zero or more path segments and keeps the matching path template open.

#### capturingZeroSegments

    public static final PathPattern.RightHandPath capturingZeroSegments

A capturing group that matches zero segments and effectively closes the matching path template.

### Method Detail

#### values

    public static PathPattern.RightHandPath[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PathPattern.RightHandPath c : PathPattern.RightHandPath.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PathPattern.RightHandPath valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null